Bug 207387 - Minor improvements for search and replacebar
Minor improvements for search and replacebar
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Search
7.2
All All
: P2 (vote)
: 7.2
Assigned To: Milutin Kristofic
issues@editor
: PLAN
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-17 12:38 UTC by Milutin Kristofic
Modified: 2012-02-24 09:51 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Milutin Kristofic 2012-01-17 12:38:56 UTC
This is an umbrella for small improvements in search and replacebar.
Comment 1 Milutin Kristofic 2012-01-17 13:00:00 UTC
- Replace Tab FocusTravelPolicy - just cycle between textfields
- Alt+u - new shortcut for wrap around since it had same as replace all
- Always caret in search textfield when replacebar is opened

http://hg.netbeans.org/jet-main/rev/d8f83bb766bc
Comment 2 Milutin Kristofic 2012-01-17 17:09:25 UTC
- Fixed expand popup menu in ubuntu dark gtk laf since it was not readable
- Refactor SearchBar & Replacebar, DRY, delete duplicated code

http://hg.netbeans.org/jet-main/rev/0822ccf209b5
Comment 3 Milutin Kristofic 2012-01-18 13:27:23 UTC
- selectall when textfield (find what, replace with) gets focus - after tab, mouse click

http://hg.netbeans.org/jet-main/rev/c75104cb2cb7
Comment 4 Quality Engineering 2012-01-18 15:48:13 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/d8f83bb766bc
User: Milutin Kristofic <mkristofic@netbeans.org>
Log: #207387 - Minor improvements for search and replacebar #1
Comment 5 Milutin Kristofic 2012-01-25 12:09:35 UTC
There is a plan to do :
- save search history so it will remain after restart 

- choosing a word from search history will setup regexp, matchcase, ... as there were in previous word - useful for regexp expressions

- Ctrl+F3 will open searchbar but remain focus in editor. They will be bounded together.

- Number of search instances in document will be shown in searchbar
Comment 6 Quality Engineering 2012-01-25 16:36:31 UTC
Integrated into 'main-golden', will be available in build *201201250600* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/0822ccf209b5
User: Milutin Kristofic <mkristofic@netbeans.org>
Log: #207387 - Minor improvements for search and replacebar #2
Comment 7 Arvenil 2012-01-25 21:34:07 UTC
Hello

Any chance those minor improvements will land in something like 7.1.1? Or any soon update? Especially regression fix for focusing search field:

http://hg.netbeans.org/jet-main/raw-diff/d8f83bb766bc/editor/src/org/netbeans/modules/editor/impl/ReplaceBar.java
@@ -657,12 +658,7 @@
             setVisible(true);
         }
         searchBar.gainFocus();
-        
-        if (searchBar.getIncSearchTextField().getText().isEmpty()) {
-            searchBar.getIncSearchTextField().requestFocusInWindow();
-        } else {
-            replaceTextField.requestFocusInWindow();
-        }
+        searchBar.getIncSearchTextField().requestFocusInWindow();
     }
 
     boolean hadFocusOnTextField() {

This is really annoying and really dangerous as one can mistakenly replace code instead of searching it.
http://forums.netbeans.org/post-123033.html#123033
http://forums.netbeans.org/topic45834.html

p.s. Sorry if this isn't appropriate place to ask for this
Comment 8 Quality Engineering 2012-02-09 02:36:56 UTC
Integrated into 'releases', will be available in build *201202082200* or newer. Wait for official and publicly available build.
Changeset: http://hg.netbeans.org/releases/rev/088baa9ce553
User: Milutin Kristofic <mkristofic@netbeans.org>
Log: #207387 - Minor improvements for search and replacebar #1
Comment 9 Milutin Kristofic 2012-02-09 14:55:30 UTC
This enhencement was fixed: http://netbeans.org/bugzilla/show_bug.cgi?id=208199

- save search history so it will remain after restart 

- choosing a word from search history will select regexp as
there were in previous search - useful for regexp expressions

- Escaping popup for jcombobox is not closing whole find bar

- Joining searchbar history with find in files history
Comment 10 David Strupl 2012-02-24 09:44:15 UTC
Is this still planned or should be closed?


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo